Name: hpijs
Version: 1.6.2
Release: alt2.1

%define foomatic_snapshot 20040828
%define fooversion 1.6.1

Summary: Hewlett-Packard Co. Inkjet Driver Project
License: BSD-Style
Group: Publishing

Conflicts: ghostscript <= 7.05-alt15

URL: http://hpinkjet.sourceforge.net
Source: http://hpinkjet.sourceforge.net/%name-%version.tar.bz2
Source1: http://www.linuxprinting.org/download/foomatic/foomatic-db-%name-%fooversion-%foomatic_snapshot.tar.bz2

Patch: http://www.linuxprinting.org/download/printing/hpijs/%name-1.4.1-rss.1.patch



# Automatically added by buildreq on Tue Sep 16 2003
BuildRequires: gcc-c++ libstdc++-devel

%description
The  Hewlett-Packard  Inkjet  Driver  Project  is  a add-on to the GNU
Ghostscript  application. This driver is open source software based on
the  Hewlett  Packard  Appliance  Printing Development Kit APDK for
deskjet printers.

%package foomatic
Summary: foomatic data for %name
Group: Publishing
Requires : %name = %version-%release
PreReq: foomatic-db-engine >= 3.0.1
PreReq: printer-drivers-utils


%description foomatic
foomatic database for %name

%prep
%setup -q -a 1
%patch -p1
cat <<EOF >LICENSE

License for the HP InkJet Server (/usr/bin/hpijs)
-------------------------------------------------
EOF
head -28 models.cpp | tail -26 >> LICENSE
cd ..

%build
#we install foomatic data in separate package
%configure --disable-cups-install --disable-foomatic-install
%make

(cd foomatic-db-hpijs-%fooversion-%foomatic_snapshot
# Makefile generation ("./make_configure" for CVS snapshots)
./make_configure
# Fix for lib64 architectures, avoid patch
perl -pi -e "s@/usr/lib/(cups|pdq|ppr)@%_libdir/\1@g" configure
%configure
%make
)

%post foomatic
/usr/bin/update-printers-db

%install
%makeinstall
install -d $RPM_BUILD_ROOT/%_datadir/cups/model/%name

(cd foomatic-db-hpijs-%fooversion-%foomatic_snapshot
%make DESTDIR=$RPM_BUILD_ROOT install
)

%files
%doc  hpijs_readme.html LICENSE* 
%_bindir/%name

%files foomatic
%doc  foomatic-db-hpijs-%fooversion-%foomatic_snapshot/TODO      foomatic-db-hpijs-%fooversion-%foomatic_snapshot/USAGE
%doc  foomatic-db-hpijs-%fooversion-%foomatic_snapshot/ChangeLog foomatic-db-hpijs-%fooversion-%foomatic_snapshot/README 
%_datadir/foomatic

%changelog
* Thu Apr 14 2005 Stanislav Ievlev <inger@altlinux.org> 1.6.2-alt2.1
- fixed requires

* Fri Jan 28 2005 Stanislav Ievlev <inger@altlinux.org> 1.6.2-alt2
- added update-printers-db in post script

* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.6.2-alt1.1
- Rebuilt with libstdc++.so.6.

* Tue Sep 21 2004 Stanislav Ievlev <inger@altlinux.org> 1.6.2-alt1
- 1.6.2

* Wed May 05 2004 Stanislav Ievlev <inger@altlinux.org> 1.6-alt1
- 1.6

* Wed Feb 11 2004 Stanislav Ievlev <inger@altlinux.org> 1.5-alt2
- new foomatic snapshot

* Fri Dec 26 2003 Stanislav Ievlev <inger@altlinux.org> 1.5-alt1
- 1.5

* Tue Sep 16 2003 Stanislav Ievlev <inger@altlinux.ru> 1.4.1-alt1
- 1.4.1. fix building in hasher

* Tue Apr 01 2003 Stanislav Ievlev <inger@altlinux.ru> 1.3.1-alt2
- update foomatic stuff

* Tue Feb 25 2003 Stanislav Ievlev <inger@altlinux.ru> 1.3.1-alt1
- Initial release
